[arch-commits] CVS update of extra/multimedia-plugins/gstreamer0.10-ugly (2 files)

Jan de Groot jgc at archlinux.org
Wed Dec 26 18:49:44 EST 2007


    Date: Wednesday, December 26, 2007 @ 18:49:44
  Author: jgc
    Path: /home/cvs-extra/extra/multimedia-plugins/gstreamer0.10-ugly

   Added: 80_change_gstmpegaudioparse_ranking.patch (1.1)
Modified: PKGBUILD (1.7 -> 1.8)

upgpkg: gstreamer0.10-ugly 0.10.6-3
Add another ugly patch, coming from ubuntu


-------------------------------------------+
 80_change_gstmpegaudioparse_ranking.patch |   12 ++++++++++++
 PKGBUILD                                  |   11 +++++++----
 2 files changed, 19 insertions(+), 4 deletions(-)


Index: extra/multimedia-plugins/gstreamer0.10-ugly/80_change_gstmpegaudioparse_ranking.patch
diff -u /dev/null extra/multimedia-plugins/gstreamer0.10-ugly/80_change_gstmpegaudioparse_ranking.patch:1.1
--- /dev/null	Wed Dec 26 18:49:44 2007
+++ extra/multimedia-plugins/gstreamer0.10-ugly/80_change_gstmpegaudioparse_ranking.patch	Wed Dec 26 18:49:44 2007
@@ -0,0 +1,12 @@
+diff -Nur gst-plugins-ugly0.10-0.10.6/gst/mpegaudioparse/gstmpegaudioparse.c gst-plugins-ugly0.10-0.10.6.new/gst/mpegaudioparse/gstmpegaudioparse.c
+--- gst-plugins-ugly0.10-0.10.6/gst/mpegaudioparse/gstmpegaudioparse.c	2007-06-13 11:21:26.000000000 +0200
++++ gst-plugins-ugly0.10-0.10.6.new/gst/mpegaudioparse/gstmpegaudioparse.c	2007-08-31 14:42:01.000000000 +0200
+@@ -1182,7 +1182,7 @@
+   GST_DEBUG_CATEGORY_INIT (mp3parse_debug, "mp3parse", 0, "MP3 Parser");
+ 
+   return gst_element_register (plugin, "mp3parse",
+-      GST_RANK_PRIMARY + 1, GST_TYPE_MP3PARSE);
++      GST_RANK_NONE, GST_TYPE_MP3PARSE);
+ }
+ 
+ GST_PLUGIN_DEFINE (GST_VERSION_MAJOR,
Index: extra/multimedia-plugins/gstreamer0.10-ugly/PKGBUILD
diff -u extra/multimedia-plugins/gstreamer0.10-ugly/PKGBUILD:1.7 extra/multimedia-plugins/gstreamer0.10-ugly/PKGBUILD:1.8
--- extra/multimedia-plugins/gstreamer0.10-ugly/PKGBUILD:1.7	Wed Dec 26 10:36:46 2007
+++ extra/multimedia-plugins/gstreamer0.10-ugly/PKGBUILD	Wed Dec 26 18:49:44 2007
@@ -1,9 +1,9 @@
-# $Id: PKGBUILD,v 1.7 2007/12/26 15:36:46 jgc Exp $
+# $Id: PKGBUILD,v 1.8 2007/12/26 23:49:44 jgc Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gstreamer0.10-ugly
 pkgver=0.10.6
-pkgrel=2
+pkgrel=3
 pkgdesc="GStreamer Multimedia Framework Ugly Plugins (gst-plugins-ugly)"
 arch=(i686 x86_64)
 license=('LGPL')
@@ -14,14 +14,17 @@
 _relname=gst-plugins-ugly
 source=(${url}/src/${_relname}/${_relname}-${pkgver}.tar.bz2
         uglyconf
-	mpegaudioparse.patch)
+	mpegaudioparse.patch
+	80_change_gstmpegaudioparse_ranking.patch)
 md5sums=('f1016148ecbfba968c0ef1773066988b'
          '825050222a558d0cedeea3cfd2f716ea'
-	 'c7fba12fa72d6455bc04fcc410db03b6')
+	 'c7fba12fa72d6455bc04fcc410db03b6'
+	 '6d619e115d5d6eb14e1bc57117d8ae54')
 
 build() {
   cd ${startdir}/src/${_relname}-${pkgver}
   patch -Np0 -i ${startdir}/src/mpegaudioparse.patch || return 1
+  patch -Np1 -i ${startdir}/src/80_change_gstmpegaudioparse_ranking.patch || return 1
   . ${startdir}/src/uglyconf
   rm -f ${startdir}/pkg/usr/lib/gstreamer-0.10/*.{,l}a
 }




More information about the arch-commits mailing list